<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionPlaceFireplaceIndoor.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('df/d83/_action_place_fireplace_indoor_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionPlaceFireplaceIndoor.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../df/d83/_action_place_fireplace_indoor_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../db/d54/class_action_place_fireplace_indoor.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d54/class_action_place_fireplace_indoor.html">ActionPlaceFireplaceIndoor</a>: <a class="code hl_class" href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../db/d54/class_action_place_fireplace_indoor.html#a8cdb488ce386169e187f5fd7045b6207">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d54/class_action_place_fireplace_indoor.html#a8cdb488ce386169e187f5fd7045b6207">ActionPlaceFireplaceIndoor</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <a class="code hl_variable" href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">m_CommandUID</a>        = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.CMD_ACTIONMOD_OPENDOORFW;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a>        = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> = <a class="code hl_class" href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a>.<a class="code hl_variable" href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">PRECISE_LOW</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a> = <span class="stringliteral">&quot;#place_object&quot;</span>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    }</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../db/d54/class_action_place_fireplace_indoor.html#ad6f8861233496082fe1a3f84c459df90">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d54/class_action_place_fireplace_indoor.html#ad6f8861233496082fe1a3f84c459df90">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    }</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../db/d54/class_action_place_fireplace_indoor.html#ac84dfc6f1ed0c55049d69e903506e281">   17</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d54/class_action_place_fireplace_indoor.html#ac84dfc6f1ed0c55049d69e903506e281">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <span class="keywordflow">if</span> ( !target ) <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> target_object = target.GetObject();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <span class="keywordtype">string</span> action_selection = target_object.GetActionComponentName( target.GetComponentIndex() );</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_class" href="../../d6/dd8/_land___village___pub_8c.html#dd/d47/class_building_with_fireplace">BuildingWithFireplace</a> building = <a class="code hl_class" href="../../d6/dd8/_land___village___pub_8c.html#dd/d47/class_building_with_fireplace">BuildingWithFireplace</a>.Cast( target_object );</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <span class="keywordflow">if</span> ( target_object &amp;&amp; building &amp;&amp; action_selection.<a class="code hl_function" href="../../d5/da2/group___strings.html#ga85b2e59c7d314ab5456e50bab2627882">Contains</a>( FireplaceIndoor.FIREPOINT_ACTION_SELECTION ) )</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            <span class="keywordflow">if</span> ( !<a class="code hl_function" href="../../d6/d59/_action_base_8c.html#ab560637b7ea002abf6ec19ec9ec6b3c9">IsInReach</a>(player, target, <a class="code hl_class" href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a>.<a class="code hl_variable" href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">DEFAULT</a>) ) <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>            </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> fire_point_pos_world, fire_point_rot_world;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            <span class="keywordtype">int</span> fire_point_index = FireplaceIndoor.GetFirePointIndex( action_selection );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <span class="keywordflow">if</span> ( FireplaceIndoor.CanPlaceFireplaceInSelectedSpot( building, fire_point_index, fire_point_pos_world, fire_point_rot_world ) )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>                <span class="keywordtype">float</span> rot_deg = 0.0;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>                <span class="keywordflow">if</span> ( building.HasSelection( FireplaceIndoor.FIREPOINT_PLACE_ROT + fire_point_index.ToString() ) )</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>                {</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>                    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> diff = fire_point_rot_world - fire_point_pos_world;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                    diff[1] = 0.0;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>                    diff.<a class="code hl_function" href="../../d7/dfc/classvector.html#a77831ca9c077a8dbd1b0aae7ba2a5d3d">Normalize</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                    <span class="keywordtype">float</span> dotp = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#a69fa0e44e84719ecd8f98b99fddf1d92">Dot</a>( <span class="stringliteral">&quot;0 0 1&quot;</span> , diff );</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                    rot_deg = <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_function" href="../../d5/d98/group___math.html#ga38642eeb5f858f9f88e6cdaf1ad6a9b1">Acos</a>( dotp ) * <a class="code hl_class" href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a>.<a class="code hl_variable" href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">RAD2DEG</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                    <span class="keywordflow">if</span> ( ( diff[0] &lt; 0 ) &amp;&amp; ( diff[2] &lt; 0 ) )</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                        rot_deg = 360.0 - rot_deg;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                    <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( ( diff[0] &lt; 0 ) &amp;&amp; ( diff[2] &gt; 0 ) )</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                        rot_deg = 360.0 - rot_deg;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span> </div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                    <span class="comment">//Debug.DrawArrow( fire_point_pos_world, fire_point_pos_world + diff );</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                <span class="keywordtype">float</span> fire_point_dist = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_function" href="../../d7/dfc/classvector.html#aad57f4c847a6ad08cf88f390961dd2db">Distance</a>( fire_point_pos_world, player.GetPosition() );</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                <span class="keywordflow">if</span> ( fire_point_dist &lt;= 2 )</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                    player.SetLastFirePoint( fire_point_pos_world );</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>                    player.SetLastFirePointIndex( fire_point_index );</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>                    player.SetLastFirePointRot( rot_deg );</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>                    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>                }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>            }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../db/d54/class_action_place_fireplace_indoor.html#aeb364e9ab8a8146af16698d3991f6887">   63</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/d54/class_action_place_fireplace_indoor.html#aeb364e9ab8a8146af16698d3991f6887">OnExecuteServer</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data )</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {   </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        <a class="code hl_class" href="../../dc/dc1/class_fireplace_base.html">FireplaceBase</a> fireplace_in_hands = <a class="code hl_class" href="../../dc/dc1/class_fireplace_base.html">FireplaceBase</a>.Cast( action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">m_MainItem</a> );</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="comment">//replace fireplace with lambda</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <a class="code hl_function" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a2ed703661f28bead94376fe08f61f8a6">FireplaceToIndoorsLambda</a> lambda = <span class="keyword">new</span> <a class="code hl_function" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a2ed703661f28bead94376fe08f61f8a6">FireplaceToIndoorsLambda</a>( fireplace_in_hands, <span class="stringliteral">&quot;FireplaceIndoor&quot;</span>, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>, action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetLastFirePoint(), action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">m_Target</a>.GetObject() );</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        lambda.SetTransferParams( <span class="keyword">true</span>, <span class="keyword">true</span>, <span class="keyword">true</span> );</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.ServerReplaceItemInHandsWithNewElsewhere( lambda );</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="comment">//add to soft skills</span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetSoftSkillsManager().AddSpecialty( <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a> );</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    }</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>}</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span> </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="keyword">class </span><a class="code hl_function" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a2ed703661f28bead94376fe08f61f8a6">FireplaceToIndoorsLambda</a> : <a class="code hl_class" href="../../d1/de0/class_turn_item_into_item_lambda.html">TurnItemIntoItemLambda</a></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>{</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno"><a class="line" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a06e49dc803b6faf1db252a9254e65e13">   80</a></span>    <span class="keywordtype">int</span>         <a class="code hl_variable" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a06e49dc803b6faf1db252a9254e65e13">m_FirePointIndex</a>;</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../df/d83/_action_place_fireplace_indoor_8c.html#ab40a114cf9f685701f5918100ff81a3b">   81</a></span>    <span class="keywordtype">float</span>       <a class="code hl_variable" href="../../df/d83/_action_place_fireplace_indoor_8c.html#ab40a114cf9f685701f5918100ff81a3b">m_FireplaceRot</a>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno"><a class="line" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a2993b523c7046c6d1c1f6f77287d501a">   82</a></span>    <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>      <a class="code hl_variable" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a2993b523c7046c6d1c1f6f77287d501a">m_SmokePosition</a>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>    </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a2ed703661f28bead94376fe08f61f8a6">   84</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a2ed703661f28bead94376fe08f61f8a6">FireplaceToIndoorsLambda</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <span class="keywordtype">string</span> new_item_type, <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="code hl_class" href="../../d8/d83/class_object.html">Object</a> target )</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    {</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a> gnd = <span class="keyword">new</span> <a class="code hl_class" href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a>;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> mtx[4];</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>        <a class="code hl_class" href="../../d5/dc8/group___math3_d_a_p_i.html#da/d94/class_math3_d">Math3D</a>.<a class="code hl_function" href="../../d5/dc8/group___math3_d_a_p_i.html#gad69368d7b5e1fcc6c3c8517d43adb443">MatrixIdentity4</a>( mtx );</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        mtx[3] = pos;</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        gnd.<a class="code hl_function" href="../../d6/dc5/class_inventory_location.html#aaa08a01038297771eba7c209c882d551">SetGround</a>( NULL, mtx );</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        OverrideNewLocation( gnd );</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        </div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <span class="comment">//set fire point index and smoke point position in world</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <a class="code hl_variable" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a06e49dc803b6faf1db252a9254e65e13">m_FirePointIndex</a> = player.GetLastFirePointIndex();</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        <a class="code hl_variable" href="../../df/d83/_action_place_fireplace_indoor_8c.html#ab40a114cf9f685701f5918100ff81a3b">m_FireplaceRot</a> = player.GetLastFirePointRot();</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>        </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> smoke_point_pos = target.GetSelectionPositionMS( FireplaceIndoor.FIREPOINT_SMOKE_POSITION + <a class="code hl_variable" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a06e49dc803b6faf1db252a9254e65e13">m_FirePointIndex</a>.ToString() );</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> smoke_point_pos_world = target.ModelToWorld( smoke_point_pos );      </div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <a class="code hl_variable" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a2993b523c7046c6d1c1f6f77287d501a">m_SmokePosition</a> = smoke_point_pos_world;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno"><a class="line" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a117c754c4a223a4c970d14c2261bdddf">  102</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../dc/d98/_misc_gameplay_functions_8c.html#afc3ebf0f58925c84ce00f52a9bc14222">CopyOldPropertiesToNew</a> (notnull <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> old_item, <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> new_item)</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>        super.CopyOldPropertiesToNew( old_item, new_item );</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        FireplaceIndoor fireplace_indoor = FireplaceIndoor.Cast( new_item );</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        <span class="keywordflow">if</span> ( fireplace_indoor )</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            <span class="comment">//set fire point index</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            fireplace_indoor.SetFirePointIndex( <a class="code hl_variable" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a06e49dc803b6faf1db252a9254e65e13">m_FirePointIndex</a> );</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            <span class="comment">//get fire and smoke position</span></div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            fireplace_indoor.SetSmokePointPosition( <a class="code hl_variable" href="../../df/d83/_action_place_fireplace_indoor_8c.html#a2993b523c7046c6d1c1f6f77287d501a">m_SmokePosition</a> );</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>            <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a> fprot = <a class="code hl_class" href="../../d7/dfc/classvector.html">vector</a>.<a class="code hl_variable" href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">Zero</a>;</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>            fprot[0] = <a class="code hl_variable" href="../../df/d83/_action_place_fireplace_indoor_8c.html#ab40a114cf9f685701f5918100ff81a3b">m_FireplaceRot</a>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            fireplace_indoor.SetOrientation( fprot );</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span> </div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <span class="comment">//synchronize</span></div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            fireplace_indoor.Synchronize();</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        }</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    }</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a37c66588f056fd9eb9eb3a4c4890083d"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a37c66588f056fd9eb9eb3a4c4890083d">m_SpecialtyWeight</a></div><div class="ttdeci">protected float m_SpecialtyWeight</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00068">ActionBase.c:68</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_ab560637b7ea002abf6ec19ec9ec6b3c9"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#ab560637b7ea002abf6ec19ec9ec6b3c9">IsInReach</a></div><div class="ttdeci">protected bool IsInReach(PlayerBase player, ActionTarget target, float maxDistance=1.0)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l01006">ActionBase.c:1006</a></div></div>
<div class="ttc" id="a_action_base_8c_html_acfd9461deb0a3259e0f775fead5961d3"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#acfd9461deb0a3259e0f775fead5961d3">m_Text</a></div><div class="ttdeci">protected string m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00049">ActionBase.c:49</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_place_fireplace_indoor_8c_html_a06e49dc803b6faf1db252a9254e65e13"><div class="ttname"><a href="../../df/d83/_action_place_fireplace_indoor_8c.html#a06e49dc803b6faf1db252a9254e65e13">m_FirePointIndex</a></div><div class="ttdeci">ActionPlaceFireplaceIndoor m_FirePointIndex</div></div>
<div class="ttc" id="a_action_place_fireplace_indoor_8c_html_a2993b523c7046c6d1c1f6f77287d501a"><div class="ttname"><a href="../../df/d83/_action_place_fireplace_indoor_8c.html#a2993b523c7046c6d1c1f6f77287d501a">m_SmokePosition</a></div><div class="ttdeci">vector m_SmokePosition</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d83/_action_place_fireplace_indoor_8c_source.html#l00082">ActionPlaceFireplaceIndoor.c:82</a></div></div>
<div class="ttc" id="a_action_place_fireplace_indoor_8c_html_a2ed703661f28bead94376fe08f61f8a6"><div class="ttname"><a href="../../df/d83/_action_place_fireplace_indoor_8c.html#a2ed703661f28bead94376fe08f61f8a6">FireplaceToIndoorsLambda</a></div><div class="ttdeci">void FireplaceToIndoorsLambda(EntityAI old_item, string new_item_type, PlayerBase player, vector pos, Object target)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d83/_action_place_fireplace_indoor_8c_source.html#l00084">ActionPlaceFireplaceIndoor.c:84</a></div></div>
<div class="ttc" id="a_action_place_fireplace_indoor_8c_html_ab40a114cf9f685701f5918100ff81a3b"><div class="ttname"><a href="../../df/d83/_action_place_fireplace_indoor_8c.html#ab40a114cf9f685701f5918100ff81a3b">m_FireplaceRot</a></div><div class="ttdeci">float m_FireplaceRot</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d83/_action_place_fireplace_indoor_8c_source.html#l00081">ActionPlaceFireplaceIndoor.c:81</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_land___village___pub_8c_html_dd/d47/class_building_with_fireplace"><div class="ttname"><a href="../../d6/dd8/_land___village___pub_8c.html#dd/d47/class_building_with_fireplace">BuildingWithFireplace</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/da5/_mil___barracks1_8c_source.html#l00001">Mil_Barracks1.c:2</a></div></div>
<div class="ttc" id="a_misc_gameplay_functions_8c_html_afc3ebf0f58925c84ce00f52a9bc14222"><div class="ttname"><a href="../../dc/d98/_misc_gameplay_functions_8c.html#afc3ebf0f58925c84ce00f52a9bc14222">CopyOldPropertiesToNew</a></div><div class="ttdeci">override void CopyOldPropertiesToNew(notnull EntityAI old_item, EntityAI new_item)</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00124">MiscGameplayFunctions.c:124</a></div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_data_html_a57bdca781ae4f1cfcb6574b0ace5d74d"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a57bdca781ae4f1cfcb6574b0ace5d74d">ActionData::m_Target</a></div><div class="ttdeci">ref ActionTarget m_Target</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00032">ActionBase.c:32</a></div></div>
<div class="ttc" id="aclass_action_data_html_adbe781e3bcf840ec9eeaa2d0d005eb6f"><div class="ttname"><a href="../../da/d5a/class_action_data.html#adbe781e3bcf840ec9eeaa2d0d005eb6f">ActionData::m_MainItem</a></div><div class="ttdeci">ItemBase m_MainItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00028">ActionBase.c:28</a></div></div>
<div class="ttc" id="aclass_action_place_fireplace_indoor_html"><div class="ttname"><a href="../../db/d54/class_action_place_fireplace_indoor.html">ActionPlaceFireplaceIndoor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d83/_action_place_fireplace_indoor_8c_source.html#l00001">ActionPlaceFireplaceIndoor.c:2</a></div></div>
<div class="ttc" id="aclass_action_place_fireplace_indoor_html_a8cdb488ce386169e187f5fd7045b6207"><div class="ttname"><a href="../../db/d54/class_action_place_fireplace_indoor.html#a8cdb488ce386169e187f5fd7045b6207">ActionPlaceFireplaceIndoor::ActionPlaceFireplaceIndoor</a></div><div class="ttdeci">void ActionPlaceFireplaceIndoor()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d83/_action_place_fireplace_indoor_8c_source.html#l00003">ActionPlaceFireplaceIndoor.c:3</a></div></div>
<div class="ttc" id="aclass_action_place_fireplace_indoor_html_ac84dfc6f1ed0c55049d69e903506e281"><div class="ttname"><a href="../../db/d54/class_action_place_fireplace_indoor.html#ac84dfc6f1ed0c55049d69e903506e281">ActionPlaceFireplaceIndoor::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d83/_action_place_fireplace_indoor_8c_source.html#l00017">ActionPlaceFireplaceIndoor.c:17</a></div></div>
<div class="ttc" id="aclass_action_place_fireplace_indoor_html_ad6f8861233496082fe1a3f84c459df90"><div class="ttname"><a href="../../db/d54/class_action_place_fireplace_indoor.html#ad6f8861233496082fe1a3f84c459df90">ActionPlaceFireplaceIndoor::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d83/_action_place_fireplace_indoor_8c_source.html#l00011">ActionPlaceFireplaceIndoor.c:11</a></div></div>
<div class="ttc" id="aclass_action_place_fireplace_indoor_html_aeb364e9ab8a8146af16698d3991f6887"><div class="ttname"><a href="../../db/d54/class_action_place_fireplace_indoor.html#aeb364e9ab8a8146af16698d3991f6887">ActionPlaceFireplaceIndoor::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d83/_action_place_fireplace_indoor_8c_source.html#l00063">ActionPlaceFireplaceIndoor.c:63</a></div></div>
<div class="ttc" id="aclass_action_single_use_base_html"><div class="ttname"><a href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d93/_action_single_use_base_8c_source.html#l00041">ActionSingleUseBase.c:42</a></div></div>
<div class="ttc" id="aclass_animated_action_base_html_a00487cccdebc5bf70af1b0c8d9ed3660"><div class="ttname"><a href="../../d7/d94/class_animated_action_base.html#a00487cccdebc5bf70af1b0c8d9ed3660">AnimatedActionBase::m_CommandUID</a></div><div class="ttdeci">protected int m_CommandUID</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dad/_animated_action_base_8c_source.html#l00125">AnimatedActionBase.c:125</a></div></div>
<div class="ttc" id="aclass_c_c_i_non_ruined_html"><div class="ttname"><a href="../../de/d86/class_c_c_i_non_ruined.html">CCINonRuined</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d96/_c_c_i_non_ruined_8c_source.html#l00001">CCINonRuined.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_cursor_html"><div class="ttname"><a href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00001">CCTCursor.c:2</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_fireplace_base_html"><div class="ttname"><a href="../../dc/dc1/class_fireplace_base.html">FireplaceBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/dcf/_barrel_holes___color_base_8c_source.html#l00001">BarrelHoles_ColorBase.c:2</a></div></div>
<div class="ttc" id="aclass_inventory_location_html"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html">InventoryLocation</a></div><div class="ttdoc">InventoryLocation.</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d52/_inventory_location_8c_source.html#l00027">InventoryLocation.c:28</a></div></div>
<div class="ttc" id="aclass_inventory_location_html_aaa08a01038297771eba7c209c882d551"><div class="ttname"><a href="../../d6/dc5/class_inventory_location.html#aaa08a01038297771eba7c209c882d551">InventoryLocation::SetGround</a></div><div class="ttdeci">proto native void SetGround(EntityAI e, vector mat[4])</div><div class="ttdoc">sets current inventory location type to Ground with transformation mat</div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_object_html"><div class="ttname"><a href="../../d8/d83/class_object.html">Object</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d68/_object_typed_8c_source.html#l00001">ObjectTyped.c:2</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="aclass_turn_item_into_item_lambda_html"><div class="ttname"><a href="../../d1/de0/class_turn_item_into_item_lambda.html">TurnItemIntoItemLambda</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d98/_misc_gameplay_functions_8c_source.html#l00091">MiscGameplayFunctions.c:92</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html">UAMaxDistances</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00101">ActionConstants.c:102</a></div></div>
<div class="ttc" id="aclass_u_a_max_distances_html_aef260d89bc0f791bc7c313cae73f8450"><div class="ttname"><a href="../../da/d8a/class_u_a_max_distances.html#aef260d89bc0f791bc7c313cae73f8450">UAMaxDistances::DEFAULT</a></div><div class="ttdeci">const float DEFAULT</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00104">ActionConstants.c:104</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html">UASoftSkillsWeight</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00115">ActionConstants.c:116</a></div></div>
<div class="ttc" id="aclass_u_a_soft_skills_weight_html_aca0b0ad8f2753c2d1ba69ca1cf7baf55"><div class="ttname"><a href="../../d0/dbd/class_u_a_soft_skills_weight.html#aca0b0ad8f2753c2d1ba69ca1cf7baf55">UASoftSkillsWeight::PRECISE_LOW</a></div><div class="ttdeci">const float PRECISE_LOW</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dee/_action_constants_8c_source.html#l00120">ActionConstants.c:120</a></div></div>
<div class="ttc" id="aclassvector_html"><div class="ttname"><a href="../../d7/dfc/classvector.html">vector</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00099">EnConvert.c:100</a></div></div>
<div class="ttc" id="aclassvector_html_a69fa0e44e84719ecd8f98b99fddf1d92"><div class="ttname"><a href="../../d7/dfc/classvector.html#a69fa0e44e84719ecd8f98b99fddf1d92">vector::Dot</a></div><div class="ttdeci">static float Dot(vector v1, vector v2)</div><div class="ttdoc">Returns Dot product of vector v1 and vector v2.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00265">EnConvert.c:265</a></div></div>
<div class="ttc" id="aclassvector_html_a6f6d5246e38b34f79fa2741a7e72d7e7"><div class="ttname"><a href="../../d7/dfc/classvector.html#a6f6d5246e38b34f79fa2741a7e72d7e7">vector::Zero</a></div><div class="ttdeci">static const vector Zero</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d13/_en_convert_8c_source.html#l00104">EnConvert.c:104</a></div></div>
<div class="ttc" id="aclassvector_html_a77831ca9c077a8dbd1b0aae7ba2a5d3d"><div class="ttname"><a href="../../d7/dfc/classvector.html#a77831ca9c077a8dbd1b0aae7ba2a5d3d">vector::Normalize</a></div><div class="ttdeci">proto float Normalize()</div><div class="ttdoc">Normalizes vector. Returns length.</div></div>
<div class="ttc" id="aclassvector_html_aad57f4c847a6ad08cf88f390961dd2db"><div class="ttname"><a href="../../d7/dfc/classvector.html#aad57f4c847a6ad08cf88f390961dd2db">vector::Distance</a></div><div class="ttdeci">static proto native float Distance(vector v1, vector v2)</div><div class="ttdoc">Returns the distance between tips of two 3D vectors.</div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_da/d94/class_math3_d"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#da/d94/class_math3_d">Math3D</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d4c/_en_math3_d_8c_source.html#l00027">EnMath3D.c:28</a></div></div>
<div class="ttc" id="agroup___math3_d_a_p_i_html_gad69368d7b5e1fcc6c3c8517d43adb443"><div class="ttname"><a href="../../d5/dc8/group___math3_d_a_p_i.html#gad69368d7b5e1fcc6c3c8517d43adb443">Math3D::MatrixIdentity4</a></div><div class="ttdeci">static void MatrixIdentity4(out vector mat[4])</div><div class="ttdoc">Creates identity matrix.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d4c/_en_math3_d_8c_source.html#l00220">EnMath3D.c:220</a></div></div>
<div class="ttc" id="agroup___math_html_d4/d34/class_math"><div class="ttname"><a href="../../d5/d98/group___math.html#d4/d34/class_math">Math</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00006">EnMath.c:7</a></div></div>
<div class="ttc" id="agroup___math_html_ga38642eeb5f858f9f88e6cdaf1ad6a9b1"><div class="ttname"><a href="../../d5/d98/group___math.html#ga38642eeb5f858f9f88e6cdaf1ad6a9b1">Math::Acos</a></div><div class="ttdeci">static proto float Acos(float c)</div><div class="ttdoc">Returns angle in radians from cosinus.</div></div>
<div class="ttc" id="agroup___math_html_gad73851cb23a468ee6eb705d0ec76e141"><div class="ttname"><a href="../../d5/d98/group___math.html#gad73851cb23a468ee6eb705d0ec76e141">Math::RAD2DEG</a></div><div class="ttdeci">static const float RAD2DEG</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d34/_en_math_8c_source.html#l00016">EnMath.c:16</a></div></div>
<div class="ttc" id="agroup___strings_html_ga85b2e59c7d314ab5456e50bab2627882"><div class="ttname"><a href="../../d5/da2/group___strings.html#ga85b2e59c7d314ab5456e50bab2627882">string::Contains</a></div><div class="ttdeci">bool Contains(string sample)</div><div class="ttdoc">Retunrs true if sample is substring of string.</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d04/_en_string_8c_source.html#l00272">EnString.c:272</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../df/d83/_action_place_fireplace_indoor_8c.html">ActionPlaceFireplaceIndoor.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
